]> Pileus Git - ~andy/sunrise/commitdiff
app-misc/heyu: new ebuild app-misc/heyu (bug 91396)
authorSven Schwyn (svoop) <gentoo@bitcetera.com>
Wed, 18 Jun 2008 16:11:17 +0000 (16:11 +0000)
committerSven Schwyn (svoop) <gentoo@bitcetera.com>
Wed, 18 Jun 2008 16:11:17 +0000 (16:11 +0000)
svn path=/sunrise/; revision=6338

app-misc/heyu/ChangeLog [new file with mode: 0644]
app-misc/heyu/Manifest [new file with mode: 0644]
app-misc/heyu/files/2.3.2/heyu.init [new file with mode: 0644]
app-misc/heyu/heyu-2.3.2.ebuild [new file with mode: 0644]
app-misc/heyu/metadata.xml [new file with mode: 0644]

diff --git a/app-misc/heyu/ChangeLog b/app-misc/heyu/ChangeLog
new file mode 100644 (file)
index 0000000..3b27a8e
--- /dev/null
@@ -0,0 +1,8 @@
+# ChangeLog for app-misc/heyu
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+  18 Jun 2008; Sven Schwyn (svoop) <gentoo@bitcetera.com> +files/2.3.2,
+  +files/2.3.2/heyu.init, +heyu-2.3.2.ebuild, +metadata.xml:
+  new ebuild app-misc/heyu (bug 91396)
+
diff --git a/app-misc/heyu/Manifest b/app-misc/heyu/Manifest
new file mode 100644 (file)
index 0000000..f81919f
--- /dev/null
@@ -0,0 +1,5 @@
+AUX 2.3.2/heyu.init 386 RMD160 4d085a00c988fda52ec946913747c9b8f3036197 SHA1 c52f45f09834c6f43a58f2f97c2bdd5a4919980c SHA256 9a3a17980dd2722406de0a13bcb497f9b074c0e3566c607168fa3f8b72770e3a
+DIST heyu-2.3.2.tgz 478683 RMD160 19da3478adfd6e06866fcf155f8bbe13d16f990d SHA1 4b1cf264a384931736ece72629d79f6c0c6102ab SHA256 71d382bcc9f8106f207686baac4225fa3cbde7f9349d973af5bd692fd03d3f04
+EBUILD heyu-2.3.2.ebuild 2388 RMD160 02024a60884edc900f9dabe348de39bd949968aa SHA1 0b13c71034d6880a3ca8120174566ff1a184661c SHA256 b8b5bcb3ec041e393b19dcd23ae73ccc538fc055490bd6d4934c42a430c11203
+MISC ChangeLog 287 RMD160 a807ad4c9bdcf0549511e08504f8ddf99d7dae0b SHA1 3d8f9643e63fedcca8459a8f25732e1b5ca343d7 SHA256 bf5686ad1c83e68971ead500273172f1b7d4bd51570b74265007f5cc932560b4
+MISC metadata.xml 924 RMD160 03ae4fecf7ebd3486c577c6951ef48f4f2d74777 SHA1 907e9260ae01fa9238cb850844d43dda73905181 SHA256 012d4600cd126f01cbde4d8250fce1cf5637e1aa282cee0d3d7faf69fff0a4b7
diff --git a/app-misc/heyu/files/2.3.2/heyu.init b/app-misc/heyu/files/2.3.2/heyu.init
new file mode 100644 (file)
index 0000000..e8ff76e
--- /dev/null
@@ -0,0 +1,24 @@
+#!/sbin/runscript
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+start() {
+       ebegin "Starting heyu"
+       mkdir /var/tmp/heyu 2>/dev/null
+       chmod a=rwx /var/tmp/heyu
+       /usr/bin/heyu start >/dev/null
+       eend $?
+}
+
+stop() {
+       ebegin "Stopping heyu"
+       /usr/bin/heyu stop
+       eend $?
+}
+
+restart() {
+       svc_stop
+       sleep 5
+       svc_start
+}
diff --git a/app-misc/heyu/heyu-2.3.2.ebuild b/app-misc/heyu/heyu-2.3.2.ebuild
new file mode 100644 (file)
index 0000000..6b20806
--- /dev/null
@@ -0,0 +1,70 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="Utility to control and program CM11A, CM17A and CM12U X10 interfaces."
+HOMEPAGE="http://heyu.tanj.com"
+SRC_URI="http://heyu.tanj.com/download/${P}.tgz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="kernel_FreeBSD kernel_linux cm17a dmx210 ext0 ore rfxm rfxs"
+
+RESTRICT="mirror"
+
+src_compile() {
+       mv x10config.sample x10.conf.sample
+       ./Configure                                                     \
+               `if use kernel_FreeBSD; then echo "freebsd"; fi`        \
+               `if use kernel_linux; then echo "linux"; fi`            \
+               `if ! use cm17a; then echo "-nocm17a"; fi`              \
+               `if ! use dmx210; then echo "-nodmx"; fi`               \
+               `if ! use ext0; then echo "-noext0"; fi`                \
+               `if ! use ore; then echo "-noore"; fi`                  \
+               `if ! use rfxm; then echo "-norfxm"; fi`                \
+               `if ! use rfxs; then echo "-norfxs"; fi`                \
+               || die "configure failed"
+       sed -i "s/CC\s*=.*/CC = $(tc-getCC)/" "${S}"/Makefile
+       sed -i "s/CFLAGS\s*=.*/CFLAGS = ${CFLAGS} \$(DFLAGS)/" "${S}"/Makefile
+       emake || die "make failed"
+}
+
+src_install() {
+       dobin heyu || die "installing binary failed"
+       doman heyu.1 x10config.5 x10scripts.5 x10sched.5
+       newinitd "${FILESDIR}"/${PVR}/heyu.init heyu
+       diropts -o nobody -g nogroup -m 0777
+       dodir /var/tmp/heyu
+       diropts -o root -g root -m 0744
+       dodir /etc/heyu
+       insinto /etc/heyu
+       insopts -o root -g root -m 0644
+       doins x10.conf.sample || die "installing config sample failed"
+       doins x10.sched.sample || die "installing schedule sample failed"
+}
+
+pkg_postinst() {
+       elog
+       elog "Don't forget to tell heyu where to find your CM11 or CM17. Therefore"
+       elog "the file /etc/heyu/x10.conf must contain a line starting with 'TTY'"
+       elog "followed by the corresponding device such as:"
+       elog
+       elog "TTY /dev/ttyS0     <-- on first serial port"
+       elog "TTY /dev/ttyS1     <-- on second serial port"
+       elog "TTY /dev/ttyUSB0   <-- on USB port"
+       elog
+       elog "To use your device on a USB port, the corresponding USB serial converter"
+       elog "kernel module must be loaded. Older CM11 are usually delivered with a"
+       elog "a Prolific 2303 cable (kernel module: pl2303) while newer come with a"
+       elog "FTDI cable (kernel module: ftdi_sio)."
+       elog
+       elog "Execute the following command if you wish to start the HEYU daemon"
+       elog "at boot time:"
+       elog
+       elog "rc-update add heyu default"
+       elog
+       epause 5
+}
diff --git a/app-misc/heyu/metadata.xml b/app-misc/heyu/metadata.xml
new file mode 100644 (file)
index 0000000..9b4034b
--- /dev/null
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+       <herd>maintainer-wanted</herd>
+       <maintainer>
+               <email>gentoo@bitcetera.com</email>
+               <name>Sven Schwyn</name>
+       </maintainer>
+       <longdescription lang="en">
+               Heyu is a console program for remotely controlling lights and appliances.
+
+               Heyu uses the CM11A computer interface to send and receive X10 control
+               signals over the AC power lines to modules which can turn On, Off, or Dim
+               attached lamps or appliances. It can store a schedule of timed events in
+               the CM11A memory for execution when the computer is turned off or
+               disconnected.
+
+               Heyu supports an optional W800RF32A, MR26A, or RFXCOM RF receiver connected
+               to a second port as an auxiliary input device for X10 RF signals.
+
+               Heyu can also use an optional CM17A interface to transmit X10 RF signals. 
+       </longdescription>
+</pkgmetadata>